Get Policy Routes

Get Policy Routes
Fetch Currently configured Policy Routes from NSX-T

Fetch Currently confiugred Policy Routes from NSX-T

Request
URI
GET
https://{server}/hybridity/api/l2Extensions/policyRoutes
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Policy Routes for PBF based NSXT PR

Returns PolicyRoutes of type(s) application/json
{
    "endpointId": "string",
    "allow": [
        "string"
    ],
    "deny": [
        "string"
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
string
endpointId
Optional

endpointId

array of string
allow
Optional

allow

array of string
deny
Optional

deny

array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns NE_InternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/l2Extensions/policyRoutes